Source: kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.100.0~),
               libkf5config-dev (>= 5.100.0~),
               libkf5coreaddons-dev (>= 5.100.0~),
               libkf5i18n-dev (>= 5.100.0~),
               libkf5iconthemes-dev (>= 5.100.0~),
               libkf5jobwidgets-dev (>= 5.100.0~),
               libkf5kio-dev (>= 5.100.0~),
               libkf5service-dev (>= 5.100.0~),
               libkf5textwidgets-dev (>= 5.100.0~),
               libkf5widgetsaddons-dev (>= 5.100.0~),
               libkf5xmlgui-dev (>= 5.100.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.100.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.100.0~),
         libkf5xmlgui-dev (>= 5.100.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5mediaplayer-dev (<< 5.54),
        libkf5parts-data (<< 5.69.0-2~),
        libkf5texteditor-dev (<< 5.54),
Replaces: libkf5parts-data (<< 5.69.0-2~)
Recommends: libkf5parts-doc (= ${source:Version})
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.54),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
